Discontinuing TLS 1.0 and 1.1 Support on Cloud - News / News - Deskpro Support

Oct 10 2018

Discontinuing TLS 1.0 and 1.1 Support on Cloud

What's Happening?

As from 5th November 2018, the Deskpro cloud platform will no longer support TLS versions 1.0 and 1.1. Therefore, browsers and Apps which make use of these protocols will be blocked.

If you attempt to make a non-TLS 1.2 connection after this date, the connection will be blocked. When viewing in a browser a HTTPS error will be displayed and connections via the API or other methods using the depreciated protocols will be blocked.


Why are we doing this?

The Deskpro cloud platform makes use of HTTPS for security, and old TLS protocols are being phased out in order to help improve this security going forward.


What will I need to do?

In the vast majority of cases nothing is required to be done however you'll need to make sure your users and agents are running at least one of the following browser versions:

  • Internet Explorer 11
  • Edge 12+
  • Firefox 27+
  • Chrome (For desktop and mobile) 30+
  • Safari (For desktop and mobile) 7+

Above, are the most common browser types, others are available and in most cases providing you are running a modern version it will support TLS 1.2 connections.

For developers, any connections you make via Apps, or API will also need to be making use of TLS 1.2 and you will need to modify your scripts to ensure that this protocol is used.


Further reading...

Full technical and development information can be found at the PCI SSC blog at https://blog.pcisecuritystandards.org/migrating-from-ssl-and-early-tls


If you have any questions regarding this, please feel free to contact our support team who will be happy to advise further.

Helpful Unhelpful

4 of 9 people found this page helpful

Add a comment

You need to log in before you can submit a comment.

Need a password reminder?